%define upstream_name    Math-GMP
%define upstream_version 2.06

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:        High speed arbitrary size integer math
License:        GPL
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel
BuildRequires:  gmp-devel


%description
Math::GMP was designed to be a drop-in replacement both for
Math::BigInt and for regular integer arithmetic. Unlike
BigInt,  though,  Math::GMP  uses  the  GNU  gmp  library
for  all of its calculations, as opposed to straight Perl
functions. This can result in speed improvements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README META.yml
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.60.0-3.mga3
+ Revision: 369594
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 12 2011 sander85 <sander85> 2.60.0-2.mga3
+ Revision: 104784
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 2.60.0-1.mga1
+ Revision: 30810
- mageia rebuild
- imported package perl-Math-GMP

